/* Login Dialog Styles */
.loginPanel {
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
}
.loginBackground {
  font-family: -apple-system,system-ui,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Helvetica,Arial,sans-serif;
  -webkit-text-size-adjust: none;
  position: fixed;
  overflow-y: auto;
  background-color: rgb(242, 242, 242);
  background-size: cover;
  height: 100%;
  width: 100%;

}
.loginBackground input {
  font-size: 12pt;
  color: #555;
  -webkit-text-size-adjust: none;
}
.loginBackground input:focus {
  outline: none;
} 
.loginBackground button {
  font-size: 12pt;
  -webkit-touch-callout: none;
  -webkit-user-select: none;  
  -moz-user-select: none;     
  -ms-user-select: none;     
  user-select: none;     
}
.loginBackground button:focus-visible {
  outline-offset: 2px;
  outline-color:  rgb(165, 249, 234);
  outline-style: dotted;
  outline-width: 2px;
}
.loginBackground select {
  font-size: 12pt;
  color: #333;
}
.cocktailListLoginContainer {
  display: flex;
  flex-direction: column;
  margin: 8% auto;
  width: 24em;
  max-width: 90%;
  border-radius: 5px;
  border: 1px solid grey;
  background-color: rgba(242, 242, 242, 0.5);
}
.loginFormContainer {
  flex-grow: 1;
  width: 100%;
  height: fit-content;
}
.loginHeader {
  background-color: rgba(42, 136, 136, 0.7);
  width: 100%;
  color: white;
  padding-top: 5px;
  padding-bottom: 5px;
  margin-top: 0px;
  margin-bottom: 0px;
  text-align: center;
}
.loginForm {
  display: flex;
  flex-direction: column;
  justify-items: stretch;
  color: rgb(48, 48, 48);
  height: 100%;
  margin-left: 20px;
  margin-right: 20px;
  margin-top: 20px;
  margin-bottom: 20px;
}
.loginForm input {
  margin: 8px;
  padding: 4px;
  border-radius: 3px;
  border-width: 1px;
  border-style: solid;
  border-color: grey;
  accent-color: rgba(42, 136, 136, 0.7);
}
.loginFormButton {
  background-color: rgba(42, 136, 136, 0.7);
  color: white;
  border-radius: 3px;
  border-width: 1px;
  border-style: solid;
  border-color: grey;;
  margin: 8px;
  margin-right: 0px;
  max-width: 8em;
  padding-top: 3px;
  padding-bottom: 3px;
  cursor: pointer;
  white-space: nowrap;
}
.loginFormButton:hover {
  background-color: rgba(69, 145, 145, 0.7);
  color: white;
  cursor: pointer;
}
.loginLanguageSubmit {
  display: flex;
  flex-direction: row;
  align-items: stretch;
  justify-content: space-between;
}
#loginSelectLanguage {
  background-color: white;
  padding: 3px;
  border-radius: 3px;
  border-width: 1px;
  border-style: solid;
  border-color: grey;;
  margin-left: 5px;
  margin-right: 5px;
  margin-top: 8px;
  margin-bottom: 8px;
  appearance: none;
  -webkit-appearance: none;
 }
#loginButtonQRCode {
  padding: 2px;
  line-height: 0;
  margin-left: auto;
  width: 24px;
  background-image: url("../images/qrcode-36x36.png");
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
  background-origin: content-box;
}
#loginButtonLogin {
  margin-right: 8px;
}
#loginQRCodeVideo {
    width: 100%;
    height: auto;
    margin: auto;
    background: rgb(128, 128, 128);
}
#loginQRCodeContainer {
  box-sizing: border-box;
  width: 100%;
  min-height: 8em;
  padding: 8px;
  padding-bottom: 0px;
}
#loginQRCodeOutput {
    box-sizing: border-box;
    width: 100%;
    padding: 8px;
    color: rgb(48, 48, 48);
    white-space: wrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
#loginButtonQRCodeSelectImage {
  margin-left: 0px;
}
#loginButtonQRCodeScanCancel {
 margin-left: auto;
}
.loginQRCodeScanArea {
    width: 100%;
}
.loginQRCodeFooter {
  display: flex;
  justify-content: space-between;
  align-items:center;
  flex-wrap: wrap;
}
/* Tablet  Media Queries */
@media only screen 
and (min-width: 700px) and (max-width: 1200px) and (max-device-width: 1200px){
  .loginBackground {
    font-size: 18pt;
   }
  .loginBackground input {
    font-size: 18pt;
  }
  .loginBackground button {
    font-size: 18pt;
  }
  .loginBackground select {
    font-size: 18pt;
  }
  #loginButtonQRCode {
    width: 36px;
  }
}
/* Mobile Media Queries */
@media only screen 
and (max-width : 700px) and (max-device-width: 700px){ 
  .loginBackground {
    font-size: 14pt;
  }
  .loginBackground input {
    font-size: 12pt;
  }
  .loginBackground button {
    font-size: 12pt;
  }
  .loginBackground select {
    font-size: 12pt;
  }
}